View Issue Details

IDProjectCategoryView StatusLast Update
0032631PackagesWidgetsetpublic2020-03-16 19:26
Reportertomitomy Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSLinux Mint MATE 64-Bit 
Product Version1.8RC4 
Summary0032631: "restoredLeft, restoredTop, restoredWidth, restoredHeight" of TForm returned wrong value
DescriptionThe value of "restoredLeft, restoredTop, restoredWidth, restoredHeight" of TForm returned wrong value when resize the form, both in Windows and Linux.

Please visit this discussion for more information:
http://forum.lazarus.freepascal.org/index.php?topic=38742.msg264269#msg264269

Steps To ReproduceUse the code below the reproduce the issue (maximize then restore the form):

procedure TForm1.FormResize(Sender: TObject);
begin
  Caption := RestoredLeft.ToString+','+RestoredTop.ToString+','+RestoredWidth.ToString+','+RestoredHeight.ToString;
end;
TagsNo tags attached.
Fixed in Revisionr61997, r62113
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0022771 resolvedJuha Manninen Lazarus When FormStyle = wsMaximized, after restore Widht/Height have wrong values 
related to 0036127 assignedJuha Manninen Lazarus [Patch] TForm's bounds and restored bounds are inconsistent 

Activities

Bart Broersma

2017-10-31 14:44

developer   ~0103831

Related to 0022771?

Juha Manninen

2020-03-16 19:26

developer   ~0121626

Fixed together with related issue 0036127.

Issue History

Date Modified Username Field Change
2017-10-31 02:35 tomitomy New Issue
2017-10-31 09:17 Juha Manninen LazTarget => -
2017-10-31 09:17 Juha Manninen Category LCL => Widgetset
2017-10-31 14:44 Bart Broersma Note Added: 0103831
2019-10-03 14:42 Juha Manninen Relationship added related to 0036127
2020-03-16 19:25 Juha Manninen Relationship added related to 0022771
2020-03-16 19:26 Juha Manninen Assigned To => Juha Manninen
2020-03-16 19:26 Juha Manninen Status new => resolved
2020-03-16 19:26 Juha Manninen Resolution open => fixed
2020-03-16 19:26 Juha Manninen Fixed in Revision => r61997, r62113
2020-03-16 19:26 Juha Manninen Widgetset GTK 2 => GTK 2
2020-03-16 19:26 Juha Manninen Note Added: 0121626